fineract-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [fineract] vidakovic commented on a change in pull request #1402: FINERACT-1189: fineract client as a separate module
Date Wed, 14 Oct 2020 11:47:47 GMT

vidakovic commented on a change in pull request #1402:
URL: https://github.com/apache/fineract/pull/1402#discussion_r504612192



##########
File path: build.gradle
##########
@@ -46,6 +56,7 @@ buildscript {
 plugins {
     id 'io.spring.dependency-management' version '1.0.10.RELEASE'
     id 'com.diffplug.spotless' version '5.6.1'
+    id 'org.openapi.generator' version '4.3.1'

Review comment:
       On that note: all those plugin dependencies declared like this in the buildscript section:
   
   ```
       dependencies {
           classpath 'com.bmuschko:gradle-cargo-plugin:2.7.1'
           classpath 'org.zeroturnaround:gradle-jrebel-plugin:1.1.10'
           classpath 'org.springframework.boot:spring-boot-gradle-plugin:2.3.4.RELEASE'
           classpath 'gradle.plugin.com.hierynomus.gradle.plugins:license-gradle-plugin:0.15.0'
           classpath 'org.apache.openjpa:openjpa:3.1.2' // when upgrading, also change OpenJPA
version repeated in fineract-provider/build.gradle!
           classpath 'com.radcortez.gradle:openjpa-gradle-plugin:3.1.0'
           classpath 'org.nosphere.apache:creadur-rat-gradle:0.7.0'
           classpath "gradle.plugin.com.github.spotbugs.snom:spotbugs-gradle-plugin:4.5.1"
           classpath "gradle.plugin.com.github.andygoossens:gradle-modernizer-plugin:1.3.0"
           classpath "gradle.plugin.com.gorylenko.gradle-git-properties:gradle-git-properties:2.2.3"
           classpath "net.ltgt.gradle:gradle-errorprone-plugin:1.2.1"
           classpath "io.swagger.core.v3:swagger-gradle-plugin:2.1.5"
           classpath "gradle.plugin.org.hidetake:gradle-swagger-generator-plugin:2.18.2"
       }
   ```
   
   ... are considered deprecated Gradle style (will probably not be supported in Gradle 7).




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



Mime
View raw message